Subject: bug#45086: Bug(?) in repo version of emacs?

From: George R Goffe <[email-masked]>
Date: Sun, 6 Dec 2020 22:21:57 +0000 (UTC)

Howdy,

I just built emacs from the source repo at https://git.savannah.gnu.org/git/emacs.git.

My configure options start with:  ./configure --prefix=/usr/lsd/$osname --verbose 

When it came time to do a make install the build results went to /usr/local. There are several Makefiles with "prefix =/usr/local instead of what I asked for in configure /usr/lsd/Linux. I'm building outside the source tree. I did a "git pull" inside the source directory and then ran autogen.sh and then created and cd'd to the external directory where "my" ./configure + options was executed... including make clean depend, make, make install.

Am I doing something wrong?

I have a f ull build log available if you'd like to see it.

Thanks,

George...